/*Google fonts*/
@import url('https://fonts.googleapis.com/css2?family=Acme&family=Lobster&family=Raleway:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,300;1,400&family=Roboto:ital,wght@0,300;0,400;0,500;0,700;0,900;1,300;1,400&display=swap');

/*default css*/
* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    font-family: sans-serif;
    overflow-x: hidden;
}

a {
    display: inline-block;
    text-decoration: none !important;
}

img {
    max-width: 100%;
}

p {
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Raleway', sans-serif;
}

/*default css end*/
/*================================*/
/*----NAVBAR CSS-----*/
/*================================*/
.navbar-brand {}

.nav-item a {
    font-size: 13px;
    font-weight: 500;
    color: #ffffff;
}

.navbar-expand-lg .navbar-nav .nav-link {
    padding: 36px;
    padding-right: 0;
    padding-left: 27px;
    padding:
}

.nav-item a:hover {
    color: #f82c4a;
    transition: all .3s linear;

}

.container {
    position: relative
}

.navbar {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 99999;
}

button:focus {
    outline: none;
}

/*----Mobile menu-----*/
.navbar .navbar-toggler {
    padding: 3px 8px;
    margin: 18px 0;
    -webkit-transform: all 0.4s linear;
    transform: all 0.4s linear;
}

.navbar .navbar-toggler .icon-bar {
    width: 30px;
    height: 2px;
    background-color: #07294d;
    display: block;
    margin: 5px 0;
    position: relative;
    -webkit-transition: all 0.4s linear;
    transition: all 0.4s linear;
}

.navbar .navbar-toggler.active .icon-bar:nth-of-type(1) {
    -webkit-transform: rotate(46deg);
    transform: rotate(46deg);
    top: 7px;
}

.navbar .navbar-toggler.active .icon-bar:nth-of-type(2) {
    opacity: 0;
}

.navbar .navbar-toggler.active .icon-bar:nth-of-type(3) {
    -webkit-transform: rotate(134deg);
    transform: rotate(134deg);
    top: -7px;
}

.right-icon {}

.right-icon ul li {
    display: inline-block;
    margin-right: 17px;
    padding: 22px 0;
}

.right-icon ul li:last-child {
    margin-right: 0;
}

.right-icon ul li a {
    font-size: 18px;
    color: #07294d;
    position: relative;
    padding-right: 7px;
}

.right-icon ul li a span {
    font-size: 12px;
    color: #fff;
    background-color: #ffc600;
    border-radius: 50%;
    padding: 0px 4px;
    position: absolute;
    top: -5px;
    right: 0;
}

/*================================*/
/*----BANNER CSS STAR-----*/
/*================================*/
#particles-js {
    height: 100vh;
    width: 100%;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: cover !important;
}

.banner_overly {
    background: linear-gradient(0deg, rgba(33, 37, 41, 1) 0%, rgba(92, 92, 92, 0.7391689097514005) 75%);

    height: 100%;
}

.row.head {
    margin: auto !important;
}

.banner_text h1 {
    font-weight: 800;
    color: #ffffff;
    font-size: 65px;
    position: relative;
    text-transform: uppercase;
}

.banner_text h1::before {
    content: '';
    position: absolute;
    bottom: 114%;
    left: 50%;
    height: 3px;
    width: 560px;
    background: #ffffff;
    ;
    transform: translate(-50%, -50%);
}

.banner_text h1::after {
    content: '';
    position: absolute;
    top: 114%;
    left: 50%;
    height: 3px;
    width: 560px;
    background: #ffffff;
    ;
    transform: translate(-50%, -50%);
}

.banner_text p {
    color: #ffffff;
    font-size: 25px;
    padding-top: 25px;
}

.dawnload {
    padding: 15px 32px;
    font-size: 14px;
    font-weight: 700;
    transition: all 0.5s;
    letter-spacing: 0.6px;
    color: #fff;
    box-shadow: none !important;
    outline: none !important;
    border: 2px solid #f5f5f5;
    border-radius: 30px;
    margin-top: 15px;
}

.dawnload:hover {
    color: #222;
    background: #fff;
}

.down a {
    color: #fff;
    border: 2px solid #fff;
    border-radius: 50%;
    padding: 5px 10px;
}

.down a:hover {
    background: #fff;
    color: #222;
}

.design {
    height: 100px;
    width: 100%;
    background-color: #2e3135;
    clip-path: polygon(50% 100%, 100% 34%, 100% 100%, 0 100%, 0 39%);
    z-index: 99999;
    position: absolute;
    bottom: 0;
}

/*================================*/
/*----ABOUT CSS STAR-----*/
/*================================*/
#about_area {
    width: 100%
}

.about_overly {
    background-color: #2e3135;
    height: 100%
}

.about_img {
    position: relative;
}

.col-lg-3.about_img {
    margin: auto;
    padding-top: 70px;
    padding-bottom: 40px;

}

.about_img_overly {
    position: absolute;
    left: 25px;
    top: 77px;
    background: linear-gradient(16deg, rgba(10, 12, 16, 1) 0%, rgba(10, 12, 16, 0.5354341565727854) 59%, rgba(154, 151, 151, 0.53) 100%);
    height: 68%;
    width: 83%;
    border-radius: 50%;
    opacity: 1;
    visibility: visible;
    transition: all .5s linear;
    text-align: center;
}

#about_area :hover .about_img_overly {
    opacity: 0;
    visibility: hidden;
}

#about_area:hover .about_img img {
    border-radius: 50%;
    background: #3e3e3e;
    transition: all .5s linear;

}


.about_text {
    text-align: center;
}

.about_text span {
    font-size: 22px;
    color: #ffffff;
    font-weight: 700;
    font-family: 'Roboto', sans-serif;
}

.about_text p {
    font-size: 16px;
    color: #a0a0ac;
    font-family: 'Roboto', sans-serif;
    padding: 25px 205px;
}


.about_text a {
    padding: 15px 32px;
    font-size: 14px;
    font-weight: 700;
    transition: all 0.5s;
    letter-spacing: 0.6px;
    color: #fff;
    box-shadow: none !important;
    outline: none !important;
    border: 2px solid #f5f5f5;
    border-radius: 8px;
    margin-bottom: 70px;
}

.about_text a:hover {
    color: #222;
    background: #fff;
}


/*================================*/
/*----SKILL CSS STAR-----*/
/*================================*/


#skill_area {

    background-color: #26282b !important;
}

.skill_head {
    margin: auto;
}

.skill_head p {
    font-size: 40px;
    font-weight: 700;
    padding-top: 70px;
    color: #fff;
}

.skill_head span {
    font-size: 16px;
    font-weight: 400;
    padding-top: 20px;
    padding-bottom: 60px;
    font-family: 'Roboto', sans-serif;
    color: #a0a0ac;
}

.single_skill {
    position: relative;
}

.skill_image img {
    width: 100%;
}

.skill_overly {
    position: absolute;
    left: 0;
    top: 0;
    background: #10c6fc;
    height: 100%;
    width: 100%;
    opacity: 1;
    visibility: visible;
    transition: all .3s linear;
    text-align: center;
}

.skill_overly-2 {
    position: absolute;
    left: 0;
    top: 0;
    background: #835aeb;
    height: 100%;
    width: 100%;
    opacity: 1;
    visibility: visible;
    transition: all .3s linear;
    text-align: center;
}

.skill_overly-3 {
    position: absolute;
    left: 0;
    top: 0;
    background: #002453;
    height: 100%;
    width: 100%;
    opacity: 1;
    visibility: visible;
    transition: all .3s linear;
    text-align: center;
}

.skill_overly-4 {
    position: absolute;
    left: 0;
    top: 0;
    background: #ff2b4a;
    height: 100%;
    width: 100%;
    opacity: 1;
    visibility: visible;
    transition: all .3s linear;
    text-align: center;
}

.single_skill:hover .skill_overly {
    opacity: 0;
    visibility: hidden;
}

.single_skill:hover .skill_overly-2 {
    opacity: 0;
    visibility: hidden;
}

.single_skill:hover .skill_overly-3 {
    opacity: 0;
    visibility: hidden;
}

.single_skill:hover .skill_overly-4 {
    opacity: 0;
    visibility: hidden;
}

.skill_icon h3 {
    font-weight: 700;
    color: #ffffff;
    font-size: 16px;
    padding-top: 40px;
}

.skill_icon {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.col-lg-2.skill_btn {
    margin: auto !important;
}

.skill_btn a {
    padding: 10px 20px;
    background: #ff2b4a;
    margin-top: 20px;
    color: #ffffff;
    font-family: 'Roboto', sans-serif;
    margin-bottom: 50px;
}

/*================================*/
/*----WORKS CSS-----*/
/*================================*/


#works_part {
    padding: 50px 0;
    text-align: center;
    background-color: #2e3135;

}

.expertise_head_text h1 {
    font-size: 40px !important;
    font-weight: 700;
    color: #fff;
}

.expertise_head_text p {
    font-size: 16px;
    font-weight: 500;
    padding-top: 10px;
    color: #a0a0ac;

}

.gallery_button {
    padding: 20px 0;
}

.gall_btn {
    padding: 9px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    background: #ff2b4a;
    margin-right: 10px;
    color: #fff;
    text-transform: capitalize;
    cursor: pointer;
    border: none;
}

.gallery_items img {
    border-radius: 5px;
}

.mix {
    position: relative
}

.work_overly a {
    position: relative;
    display: inline-block;
    font-family: 'Raleway', sans-serif;
    font-size: 20px;
    color: #222;
    font-weight: 700;
    position: absolute;
    top: 50%;
    left: 50%;
    padding: 5px 8px;
    transition: 0.2s;
    transform: translate(-50%, -50%);

}

.work_overly a span {
    position: absolute;
    display: block;
}

.work_overly a span:nth-child(1) {
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, #222)
}

.work_overly a:hover span:nth-child(1) {
    left: 100%;
    transition: 1s;
}

.work_overly a span:nth-child(3) {
    bottom: 0;
    right: 0;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, #222)
}

.work_overly a:hover span:nth-child(3) {
    right: 100%;
    transition: 1s;
    transition-delay: 0.1s;
}


/*.work_overly a span:nth-child(2){
   top: -100;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg,transparent,#222)
}

.work_overly a:hover span:nth-child(2){
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}
.work_overly a span:nth-child(4){
   bottom: -100;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg,transparent,#222)
}

.work_overly a:hover span:nth-child(4){
    bottom: 100%;
    transition: 1s;
    transition-delay: 0.75s;
}*/



.work_overly a:hover {
    border-top: 2px solid #222;
    border-bottom: 2px solid #222;
    color: #fff;
    background: #222;
    transition-delay: .5s;
    box-shadow: 0 0 10px #222, 0 0 40px #222, 0 0 80px #222;
}

.work_overly {
    position: absolute;
    left: 0;
    top: 0;
    background: #2e31355c;
    height: 100%;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    transition: all 0.27s cubic-bezier(0.3, 0.1, 0.58, 1);
    text-align: center;
}

.mix:hover .work_overly {
    opacity: 1;
    visibility: visible;
}

.mix:hover .work_img img {
    border-radius: 0;
}

.work_btn a {
    padding: 10px 20px;
    background: #ff2b4a;
    margin-top: 20px;
    color: #ffffff;
    font-family: 'Roboto', sans-serif;
}

/*================================*/
/*----HIRE ME CSS-----*/
/*================================*/

#hire_me_area {
    padding-top: 100px;
    padding-bottom: 100px;
    position: relative;
    background-color: #26282b !important;
}

#hire_me_area h1 {
    color: #fff;
}

#hire_me_area a {
    padding: 10px 20px;
    background: #ff2b4a;
    margin-top: 20px;
    color: #ffffff;
    font-family: 'Roboto', sans-serif;
}

/*================================*/
/*----PEPPLE CSS-----*/
/*================================*/

#people_say_part {
    width: 100%;
    background-color: #2e3135;

}

.col-lg-10.people_text.text-center {
    margin: auto;
}

.people_text {
    padding-bottom: 50px;
    padding-top: 70px;
    margin-bottom: 100px !important;
}

.people_text h1 {
    color: #fff;
    font-size: 40px;
    font-weight: 700;
    padding-bottom: 20px !important;
}

.people_img {
    margin: 0 auto;
    padding-bottom: 30px;
    text-align: center;
}

.people_img img {
    border-radius: 50%;
    border: 3px solid #222;
    width: 90%;
}

.people_text p {
    color: #a0a0ac;
    font-size: 16px;
    font-weight: 700;
    padding: 0 90px;
    font-family: 'Playfair Display', serif;
    padding: 0 180px;
}

.people_name p {
    color: #fff;
    font-size: 18px;
    font-weight: 800;
    padding-top: 20px;
}

.people_name span {
    color: #a0a0ac;
    font-size: 13px;
    font-weight: 300;

}

/*----SLIDER CSS-----*/
.slider_wrapper2 .slick-dots {
    text-align: center;
    position: absolute;
    top: 115%;
    width: 100%;
}

.slider_wrapper2 .slick-dots li {
    display: inline-block;
    text-align: center;
}

.slider_wrapper2 .slick-dots li button {
    font-size: 0;
    width: 11px;
    height: 11px;
    border-radius: 50%;
    background: transparent;
    margin: 0 5px;
    transition: all .3s linear;
}

.slider_wrapper2 .slick-dots li.slick-active button {
    background: #222;

}

/*================================*/
/*----CONTACT PART CSS-----*/
/*================================*/

#contect_area {
    padding-bottom: 70px;
    padding-top: 70px;
    background-color: #26282b !important;
}

.contact_head h1 {
    color: #fff;
    padding: 10px;

}

.contact_icon a {
    color: #ff2b4a;
    font-size: 35px;
    height: 60px;
    width: 60px;
}

.contact_head p {
    color: #a0a0ac !important;
    font-size: 16px;
    padding: 0 300px;
}

.contact_wedget h1 {
    color: #fff;
    font-size: 25px;
    padding: 0;
    margin-bottom: 0 !important;
}


.contact_wedget p {
    color: #fff;
    padding: 0;
    padding-bottom: 10px;
}

.contact_from input {
    width: 100%;
    box-shadow: none !important;
    border: 2px solid #3b3e42;
    background-color: transparent;
    color: #fbfbfb;
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
    padding: 10px;
    border-radius: 3px;

}

.contact_from textarea {
    width: 100%;
    width: 100%;
    box-shadow: none !important;
    border: 2px solid #3b3e42;
    background-color: transparent;
    color: #fbfbfb;
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
    padding: 10px;
    border-radius: 3px;

}

.msg_btn {
    background-color: #ff2b4a;
    color: #fbfbfb;
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
    padding: 10px 30px;
    border: 0;
    border-radius: 3px;
    cursor: pointer;
    letter-spacing: 1.5px;
}

/*================================*/
/*----FOOTER PART CSS-----*/
/*================================*/

.footer_area {
    padding: 70px 0;
    background-color: #26282b;

}

.footer_icon a {
    color: #a0a0ac;
    border-radius: 50%;
    transition: all 0.5s;
    background-color: rgba(241, 241, 241, 0.08);
    width: 42px;
    height: 42px;
    font-size: 18px;
    line-height: 42px;
    text-align: center;
    margin-right: 10px;
}

.footer_icon a:hover {
    color: #ff2b4a;
}

.footer_text p {
    font-size: 16px;
    font-weight: 300;
    color: #a0a0ac;
    margin-top: 10px;
}








/* ==========  preloder  ============ */


.preloder {
    position: fixed;
    top: 0;
    right: 0;
    background: #26282b;
    height: 100%;
    width: 100%;
    transition: 1s all easy;
    opacity: 1;
    visibility: visible;
    z-index: 9999999999;
}

.done {
    opacity: 0;
    visibility: hidden;
}

.circle,
.circle:before,
.circle:after {
    border: 3px solid transparent;
    border-radius: 50%;
}

.circle {
    height: 110px;
    width: 110px;
    margin: 200px auto;
    position: relative;
    border-top-color: #ffffff;
    animation-name: spin;
    animation-duration: 1.1s;
    animation-iteration-count: infinite;
    animation-direction: normal;
}

.circle:before,
.circle:after {
    content: "";
    position: absolute;
}

.circle:before {
    top: 10px;
    left: 10px;
    bottom: 10px;
    right: 10px;
    border-top-color: #ff2b4a;
    animation-name: spin;
    animation-duration: 2.1s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-duration: 2.1s;
}

.circle:after {
    top: 23px;
    left: 23px;
    bottom: 23px;
    right: 23px;
    border-top-color: #000000;
    animation-name: spin;
    animation-delay: 1.3s;
    animation-duration: 3.1s;
    animation-iteration-count: infinite;
    animation-direction: normal;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

/* ==========  back to top  ============ */


#button {
    display: inline-block;
    background: #ff2b4a;
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius: 4px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    transition: background-color .3s,
        opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
}

#button::after {
    content: "\f077";
    font-family: FontAwesome;
    font-weight: normal;
    font-style: normal;
    font-size: 2em;
    line-height: 50px;
    color: #fff;
}

#button:hover {
    cursor: pointer;
    background-color: #333;
}

#button:active {
    background-color: #555;
}

#button.show {
    opacity: 1;
    visibility: visible;
}
